summaryrefslogtreecommitdiffstats
path: root/source/n/zd1211-firmware
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/zd1211-firmware
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/zd1211-firmware')
-rw-r--r--source/n/zd1211-firmware/slack-desc19
-rwxr-xr-xsource/n/zd1211-firmware/zd1211-firmware.SlackBuild47
2 files changed, 36 insertions, 30 deletions
diff --git a/source/n/zd1211-firmware/slack-desc b/source/n/zd1211-firmware/slack-desc
new file mode 100644
index 000000000..fef145113
--- /dev/null
+++ b/source/n/zd1211-firmware/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zd1211-firmware: zd1211-firmware (Firmware for zd1211 USB wireless)
+zd1211-firmware:
+zd1211-firmware: This distribution contains the firmware files for the ZD1211 chip,
+zd1211-firmware: which is used in WLAN USB sticks. The files are generated from C
+zd1211-firmware: header files distributed in the original ZyDAS ZD1211 driver. The
+zd1211-firmware: GPL-licensed header files used to produce the firmware blobs are also
+zd1211-firmware: present in this distribution.
+zd1211-firmware:
+zd1211-firmware: The full source of the original ZYDAS driver is available from
+zd1211-firmware: http://zd1211.wiki.sourceforge.net/VendorDriver
+zd1211-firmware:
diff --git a/source/n/zd1211-firmware/zd1211-firmware.SlackBuild b/source/n/zd1211-firmware/zd1211-firmware.SlackBuild
index 430565dc0..9928d3cfa 100755
--- a/source/n/zd1211-firmware/zd1211-firmware.SlackBuild
+++ b/source/n/zd1211-firmware/zd1211-firmware.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,22 +20,30 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=zd1211-firmware
-VERSION=${VERSION:-1.4}
+VERSION=${VERSION:-1.5}
ARCH=${ARCH:-fw}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM} || exit 1
# Make sure ownerships and permissions are sane:
@@ -48,32 +56,11 @@ cp -a * $PKG/lib/firmware/zd1211
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-${VERSION}
-cp -a README COPYING $PKG/usr/doc/${PKGNAM}-${VERSION}
+ln -s ../../../lib/firmware/zd1211/COPYING $PKG/usr/doc/${PKGNAM}-${VERSION}
+ln -s ../../../lib/firmware/zd1211/README $PKG/usr/doc/${PKGNAM}-${VERSION}
mkdir -p $PKG/install
-cat << EOF > $PKG/install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-zd1211-firmware: zd1211-firmware (Firmware for zd1211 USB wireless)
-zd1211-firmware:
-zd1211-firmware: This distribution contains the firmware files for the ZD1211 chip,
-zd1211-firmware: which is used in WLAN USB sticks. The files are generated from C
-zd1211-firmware: header files distributed in the original ZyDAS ZD1211 driver. The
-zd1211-firmware: GPL-licensed header files used to produce the firmware blobs are also
-zd1211-firmware: present in this distribution.
-zd1211-firmware:
-zd1211-firmware: The full source of the original ZYDAS driver is available from
-zd1211-firmware: http://zd1211.wiki.sourceforge.net/VendorDriver
-zd1211-firmware:
-
-EOF
+cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
-